Loading...
Searching...
No Matches
BALL::DoubleGene Class Reference

`#include <BALL/DOCKING/GENETICDOCK/genes.h>`

Inheritance diagram for BALL::DoubleGene:

## Public Member Functions

| DoubleGene ()
virtual | ~DoubleGene ()
| DoubleGene (Size i)
virtual GenericGene * | mate (GenericGene *gg)
virtual void | mutate ()
std::vector< double > | getValues ()
void | setValue (std::vector< double > v)
virtual GenericGene * | clone ()
void | randomize ()
Public Member Functions inherited from BALL::GenericGene
| GenericGene ()
virtual | ~GenericGene ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::GenericGene
double | randomGeneValue ()
int | randomGenePosition (int from, int to)

## Detailed Description

gene with an arbitrary number of double values

Definition at line 57 of file genes.h.

## Constructor & Destructor Documentation

## DoubleGene() [1/2]

BALL::DoubleGene::DoubleGene | ( |  | ) |

constructor

## ~DoubleGene()

virtual BALL::DoubleGene::~DoubleGene | ( |  | ) |

virtual

destructor

## DoubleGene() [2/2]

BALL::DoubleGene::DoubleGene | ( | Size | i | ) |

constructor, i double values

## Member Function Documentation

## clone()

virtual GenericGene * BALL::DoubleGene::clone | ( |  | ) |

virtual

clone method

Implements BALL::GenericGene.

## getValues()

std::vector< double > BALL::DoubleGene::getValues | ( |  | ) |

get vector of values

## mate()

virtual GenericGene * BALL::DoubleGene::mate | ( | GenericGene * | gg | ) |

virtual

mating method

Implements BALL::GenericGene.

## mutate()

virtual void BALL::DoubleGene::mutate | ( |  | ) |

virtual

mutation method

Implements BALL::GenericGene.

## randomize()

void BALL::DoubleGene::randomize | ( |  | ) |

virtual

randomize values

Implements BALL::GenericGene.

## setValue()

void BALL::DoubleGene::setValue | ( | std::vector< double > | v | ) |

set values